#! /bin/sh
# you may want to modify the GISBASE location

GRASS_VERSION='-7.0.svn'
GISBASE=/usr/local/grass${GRASS_VERSION}/
export GISBASE

export PATH=$PATH:$GISBASE/bin:$GISBASE/scripts
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$GISBASE/lib
export PYTHONPATH="$GISBASE/etc/python:$PYTHONPATH"
export MANPATH=$MANPATH:$GISBASE/man

export LOCATION_NAME=segf_v_patch

BASE=`pwd`

export GISDBASE=$BASE
export MAPSET=PERMANENT

echo "GISDBASE: $GISDBASE
MAPSET: $MAPSET
LOCATION_NAME: $LOCATION_NAME
GRASS_GUI: text" > $HOME/.grassrc7_$LOCATION_NAME
export GISRC=$HOME/.grassrc7_$LOCATION_NAME

rm -rf $LOCATION_NAME
mkdir -p $LOCATION_NAME/$MAPSET
cp -a projection/* $LOCATION_NAME/$MAPSET || exit 1

db.connect driver=sqlite database='$GISDBASE/$LOCATION_NAME/$MAPSET/sqlite.db'

v.in.ogr dsn=bug_v_patch output=test_bug_v_patch
v.extract input=test_bug_v_patch output=test_bug_v_patch_one where='cat = 1'
v.extract input=test_bug_v_patch output=test_bug_v_patch_two where='cat = 2'
v.patch -e -a input=test_bug_v_patch_one output=test_bug_v_patch_two --o
